<?php
/**
 *
 * 脚本
 *
 * @author ccw <31435391@qq.com>
 */
define("APPLICATION_PATH", realpath(dirname(__FILE__) . '/../../../')); //指向public的上一级
require_once APPLICATION_PATH . '/scripts/crontab/common.php';
$conf = \Yaf\Registry::get('config')->get('redis.database.params');


$http = new swoole_http_server("0.0.0.0", 9501);
$http->on('request', function ($request, $response) {
    try{
        $respData=$request->post;
       // echo json_encode($respData);

        if(isset($respData['type'])&&$respData['type']==1){
            $info=$respData['content'];
            $memberDao=$info['className']::getInstance(\Our\DbNameConst::masterDBConnectName);
           echo json_encode($info);
            if(empty($info['params'])){
                $res=call_user_func_array(array($memberDao,$info['method']));
            }else{
                $res=call_user_func_array(array($memberDao,$info['method']),$info['params']);
            }
            $res=(isset($res)&&!empty($res))?$res:false;
            unset($memberDao);
            \Mysql\LinkMySQLModel::unsetDbConecet();
            if($res!==false){
                echo 'success';
                $response->end(json_encode(array('status'=>1,'message'=>'执行成功','data'=>$res)));
            }else{
                echo 'fail1';
                $response->end(json_encode(array('status'=>0,'message'=>'执行失败')));
            }
        }else{
            echo 'fail2';
            $response->end(json_encode(array('status'=>0,'message'=>'执行失败')));
        }
    }catch(Exception $ex){
        throw new Exception($ex->getMessage(),$ex->getCode());
    }


});
$http->start();

